﻿using B20UVLog.Models;
using B20UVLog.Windows;
using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace B20UVLog.ViewModels
{
    internal class MainWindowViewModel : ObservableObject
    {
        public MainWindowViewModel()
        {
            //LogPcTask_Biz.Instance.Init();
            //LogPcTask_Biz.Instance.ConnectPlc();
            //LogPcTask_Biz.Instance.StartPlcLogMonitor();

        }
        public RelayCommand<object> MenuItemClickCommand
        {
            get => new(p => MenuItemClick(p));
        }
        private static void MenuItemClick(object p)
        {
            switch (p.ToString())
            {
                case "db":
                    DBSet dBSet = new();
                    dBSet.ShowDialog();
                    break;
                case "plc":
                    PLCSet pLCSet = new();
                    pLCSet.ShowDialog();
                    break;
                case "dict":
                    DictionarySet dictSet = new();
                    dictSet.ShowDialog();
                    break;
                default:
                    break;
            }
        }
    }
}
